%define upstream_name	 Test-Tester
%define upstream_version 0.109

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Ease testing test modules built with Test::Builder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder)
BuildArch:  noarch

%description
If you have written a test module based on Test::Builder then Test::Tester
allows you to test it with the minimum of effort.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc ARTISTIC CHANGES META.json META.yml MYMETA.yml README TODO
%{_mandir}/*/*
%{perl_vendorlib}/Test/Tester
%{perl_vendorlib}/Test/Tester.pm

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.109.0-2.mga4
+ Revision: 525991
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.109.0-1.mga4
+ Revision: 435099
- update to 0.109

* Sun Jan 13 2013 umeabot <umeabot> 0.108.0-2.mga3
+ Revision: 373840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 kharec <kharec> 0.108.0-1.mga2
+ Revision: 174779
- update to 0.108

* Wed Jan 19 2011 jquelin <jquelin> 0.107.0-5.mga1
+ Revision: 24068
- clean spec file
- imported package perl-Test-Tester


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.107-5mdv2010.1
+ Revision: 430600
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.107-4mdv2009.0
+ Revision: 258580
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.107-3mdv2009.0
+ Revision: 246558
- rebuild

* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.107-1mdv2008.1
+ Revision: 177898
- update to new version 0.107

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.106-1mdv2008.0
+ Revision: 78721
- update to new version 0.106

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.105-1mdv2008.0
+ Revision: 75232
- update to new version 0.105


* Tue Jan 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.104-1mdv2007.0
+ Revision: 106250
- 0.104

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Test-Tester

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.103-3mdk
- Fix SPEC according to Perl Policy
	- Source URL
- Remove perl Require

* Mon Mar 06 2006 Buchan Milne <bgmilne@mandriva.org> 0.103-2mdk
- Rebuild
- use mkrel

* Wed Oct 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.103-1mdk
- Initial MDV release

